"""
Generate time series of nominated "gauges" 
Note, this script will only work if pylab is installed on the platform

Inputs:

production dirs: dictionary of production directories with a
                 association to that simulation run, eg high tide,
                 magnitude, etc.
                    
Outputs:

* figures stored in same directory as sww file
* time series data stored in csv files in same directory as sww file
* elevation at nominated gauges (elev_output)
"""

from os import sep
import project
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges

sww2csv_gauges('slide'+sep+'slidesource.sww',
                project.gauge_filename,
                quantities = ['stage','speed'],
                verbose=True)
                
sww2csv_gauges('fixed_wave'+sep+'fixed_wavesource.sww',
               project.gauge_filename,
               quantities = ['stage', 'speed'],
               verbose=True)


